# Class DitherTexture

#### Implements

- Pick<LazyResizableRawTexture, "getTexture">

##### Index

### Constructors

constructor

### Properties

animatedNoiseTextures
currentMode

### Methods

dispose

## Constructors

### constructor

- new DitherTexture(
  currentMode: DitheringTextureMode,
  animatedNoiseTextures: number,
  ): DitherTexture

  #### Parameters

  - currentMode: DitheringTextureMode
  - animatedNoiseTextures: number

  #### Returns DitherTexture

## Properties

### animatedNoiseTextures

animatedNoiseTextures: number

### currentMode

currentMode: DitheringTextureMode

## Methods

### dispose

- dispose(): void

  #### Returns void